ITPub博客

首页 > 数据库 > MySQL > 如何根据生产环境mysql版本选择合适的percona xtrabackup版本

如何根据生产环境mysql版本选择合适的percona xtrabackup版本

原创 MySQL 作者:wisdomone1 时间:2019-11-05 20:37:08 0 删除 编辑

前言    

     我们在日常的数据库运维工作中,经常使用percona xtrabackup进行数据库备份。由于业务系统的演进及时间变化,可能存在不同的mysql版本,包括:mysql 5.6及mysql 5.7;当然可能也少不了percona 5.7或者percona 5.8,甚至有些公司也部署了最新的mysql 8.0。

     

    如果针对上述的情况,如何选型percona xtrabackup版本呢,大家可以参考下图:

  

综上所述,如果存在多种数据库版本,我的建议是:

  • mysql 5.7以下版本,可以采用percona xtrabackup 2.4版本

  • mysql 8.0以上版本,可以采用percona xtrabackup 8.0版本


    比如,接触过一些金融行业,mysql版本还是多采用mysql 5.7,当然oracle官方对于mysql 8.0的开发支持力度日益加大,新功能新特性迭代不止。生产环境采用mysql 8.0的版本比例会日益增加。

    

联系方式


来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/9240380/viewspace-2662803/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论
提供针对oracle初学者及进阶的数据库培训,欢迎大家咨询: 微信: wisdomone 微信公众号: lovedb 工作经历: 中国普天 北京科蓝 北京云和恩墨 北京神州新桥

注册时间:2008-04-04

  • 博文量
    2188
  • 访问量
    12250155